Lets Encrypt

From Just another day in the life of a linux sysadmin
Jump to navigation Jump to search

Let's Encrypt now has official cPanel support for WHM version 58 and later. Prior versions of WHM and core managed servers are still considered Best Effort and you should consult the information below for further assistance.

All that is needed to install this in WHM 58 and newer verssion of WHM is to run the following command:

   /scripts/install_lets_encrypt_autossl_provider

This enables letsencrypt to be used as a provider for the autossl feature in WHM.

You can disable letsencrypt using the following command:

   /scripts/uninstall_lets_encrypt_autossl_provider

cPanel documentation link: https://documentation.cpanel.net/display/CKB/The+Let%27s+Encrypt+Plugin